> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deasylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suggest Description

> Suggest a description for a tag based on context and vector DB content

Attributes:

    data_connector_name: The name of the vdb profile to include in the dataslice.
    tag_name: The name of the tag to suggest a description for.
    context: The context to suggest a description for the tag.
    current_description: The current description of the tag.
    available_values: The available values for the tag.



## OpenAPI

````yaml /deasy-openapi-stainless.yml post /suggest_description
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: /rest/unstructured
security: []
paths:
  /suggest_description:
    post:
      tags:
        - Tags
      summary: Suggest Description
      description: |-
        Suggest a description for a tag based on context and vector DB content

        Attributes:

            data_connector_name: The name of the vdb profile to include in the dataslice.
            tag_name: The name of the tag to suggest a description for.
            context: The context to suggest a description for the tag.
            current_description: The current description of the tag.
            available_values: The available values for the tag.
      operationId: suggest_description_suggest_description_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SuggestDescriptionRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestDescriptionResponse'
        '403':
          description: Missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while processing
            the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
      security:
        - BasicAuth: []
        - BearerAuth: []
          UserIdAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from unstructured import UnstructuredClient

            client = UnstructuredClient(
                username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
                password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
            )
            response = client.tags.suggest_description(
                data_connector_name="data_connector_name",
                tag_name="tag_name",
            )
            print(response.suggestion)
        - lang: JavaScript
          source: |-
            import UnstructuredClient from 'unstructured-sdk';

            const client = new UnstructuredClient({
              authMethod: 'My Auth Method',
              username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
              password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
            });

            const response = await client.tags.suggestDescription({
              data_connector_name: 'data_connector_name',
              tag_name: 'tag_name',
            });

            console.log(response.suggestion);
components:
  schemas:
    SuggestDescriptionRequest:
      properties:
        data_connector_name:
          type: string
          title: Data Connector Name
        tag_name:
          type: string
          title: Tag Name
        context:
          anyOf:
            - type: string
            - type: 'null'
          title: Context
        current_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Description
        available_values:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Available Values
        dataslice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataslice Id
      type: object
      required:
        - data_connector_name
        - tag_name
      title: SuggestDescriptionRequest
    SuggestDescriptionResponse:
      properties:
        suggestion:
          type: string
          title: Suggestion
      type: object
      required:
        - suggestion
      title: SuggestDescriptionResponse
    HTTPError:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: HTTPError
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    BearerAuth:
      type: http
      scheme: bearer
    UserIdAuth:
      type: apiKey
      in: header
      name: X-User-ID

````